package com.casic.missiles.mapper.meter;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.casic.missiles.dto.meter.MeterPriceImport;
import com.casic.missiles.dto.meter.MeterPriceRequest;
import com.casic.missiles.model.meter.MeterPrice;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MeterPriceMapper extends BaseMapper<MeterPrice> {

    Long getMaxNo();

    void addMeterPriceList(List<MeterPriceImport> list);

    Page<MeterPrice> queryPriceList(Page<MeterPrice> page, @Param("request") MeterPriceRequest meterPriceRequest);

    List<MeterPrice> queryPriceList(@Param("request") MeterPriceRequest meterPriceRequest);

    MeterPrice queryPriceInfo(@Param("id")Long id);

    Integer selectCountByItem();
}
